| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__CreateBranchOfficeRequest Class Reference
Branch Office

Create Branch Office request. More...

`#include <osv-if-doc.h>`

## Public Attributes
char * | OperatorId
| Operator Id. More...
xsd__string | BranchOfficeName
| The name of the branch office to be created. More...
unsp__BGName | BGName
| The name of an existing BG in which the BO will be included. More...
xsd__string | RepresentativeEndpointName
| The name of the endpoint that branch office members are to be associated with Executive Assistant group. More...
unsp__AddRemoveDidDnToPool | AddRemoveDidDn
| Specifies the DID pool and the operation to be performed on the DID pool. More...
xsd__string | OfficeCode
| Default office code to be used across the branch office. More...
xsd__string | RateAreaName
| Default rate area to be used across the branch office. More...
unsp__NumberPlanName | NumberPlanName
| Default name of the numbering plan to be used across the branch office. More...
struct unsp__BranchOfficeAttributes | Attributes
| Attributes. More...
xsd__string | Username
| Username for the administration of OpenBranch type branch offices. More...
xsd__string | Password
| Username for the administration of OpenBranch type branch offices. More...

## Detailed Description

Create Branch Office request.

Used by unsp__createBranchOffice()

## Member Data Documentation

## ◆ AddRemoveDidDn

unsp__AddRemoveDidDnToPool unsp__CreateBranchOfficeRequest::AddRemoveDidDn

Specifies the DID pool and the operation to be performed on the DID pool.

required: false

## ◆ Attributes

struct unsp__BranchOfficeAttributes unsp__CreateBranchOfficeRequest::Attributes

Attributes.

required: false

## ◆ BGName

unsp__BGName unsp__CreateBranchOfficeRequest::BGName

The name of an existing BG in which the BO will be included.

required: true

See also
  unsp__BGName

## ◆ BranchOfficeName

xsd__string unsp__CreateBranchOfficeRequest::BranchOfficeName

The name of the branch office to be created.

required: true

See also
  unsp__BOName

## ◆ NumberPlanName

unsp__NumberPlanName unsp__CreateBranchOfficeRequest::NumberPlanName

Default name of the numbering plan to be used across the branch office.

required: false

See also
  unsp__NumberPlanName

## ◆ OfficeCode

xsd__string unsp__CreateBranchOfficeRequest::OfficeCode

Default office code to be used across the branch office.

required: false
default value[range]: NA [1..14]

## ◆ OperatorId

char* unsp__CreateBranchOfficeRequest::OperatorId

Operator Id.

See also
  unsp__OperatorId

## ◆ Password

xsd__string unsp__CreateBranchOfficeRequest::Password

Username for the administration of OpenBranch type branch offices.

required: false
default value[range]: NA [1..30]

## ◆ RateAreaName

xsd__string unsp__CreateBranchOfficeRequest::RateAreaName

Default rate area to be used across the branch office.

required: false

See also
  unsp__RateAreaName

## ◆ RepresentativeEndpointName

xsd__string unsp__CreateBranchOfficeRequest::RepresentativeEndpointName

The name of the endpoint that branch office members are to be associated with Executive Assistant group.

required: true

See also
  unsp__EndpointName

## ◆ Username

xsd__string unsp__CreateBranchOfficeRequest::Username

Username for the administration of OpenBranch type branch offices.

required: false
default value[range]: NA [1..30]

The documentation for this class was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h